Description

Supportanfrage

Hallo Florian,

ich habe gerade mit Fabian gesprochen und in diesem Zuge viel uns auf, das in dem Ticket Issue #1206 die eigentliche Frage nach

den sample factories für den Flexray und CAN Support für ADTF 2 gar nicht beantwortet wurde. Die Frage ist irgendwie nur in

Richtung ADTF 3 gelaufen, aber in ADTF 2 haben wir ja auch das Problem das CAN und FLexray nicht unterstützt werden. Sprich

wenn wir ein ADTF 2 dat file mit CAN, Flexray oder compressed video einlesen kommen folgende Meldungen.

no sample factories for 'adtf.sample.flexray.adtf2_support.serialization.adtf.cid

no sample factories for 'adtf.type.video_compressed.adtf2_support.serialization.adtf.cid' available

no sample factories for 'adtf.sample.can_message.adtf2_support.serialization.adtf.cid' available

Könnt Ihr uns dazu noch Infos zukommen lassen?

Best regards,

Anja Winkler

EB Assist ADTF Support-Team

Lösung

ich versuche nochmal zusammezufassen:

Die ADTF 3.x Datentypen sind schon bereitgestellt in den Toolboxen (CAN & FR), deshalb können sie in ADTF 3.x interpretiert

werden.

Die Display TB hat keine eigenen Typen, die Calibration TB 3.x wird dies auch bereitstellen.

Um in ADTF 3.x und ADTF File Library die Daten aus ADTF 2.x zu interpretieren, fehlen noch die entsprechenden Services, diese

sollen mit den nächsten TBs kommen.

Dann können sie in ADTF 3.x interpretiert werden.

Zusätzlich muss die ADTF File Library in der nächsten Version einen Plugin Mechanismus unterstützen, um diese Services zu laden,

sowohl ADTF 2.x also ADTF 3.x Datentypen.

Auch das kommt in der nächsten Lieferung.

All das ist für 2017b geplant

Wichtig dabei:

Es wird keinen Support in ADTF 3.x für die ADTF 2.x compressed Daten geben, die Compression TB ist Geschichte.

Das bedeutet, dass hier genauso wie für eigene Typen eine (De)Serialisierung selbst geschrieben werden muss, mit gleichen

Mechanismus oder direkt in seiner ADTF File Library, auf der auch ab der nächsten Minor-Lieferung Player und Recorder aufsetzen

und mit ADTF mitgeliefert wird.

History

#1 - 2017-11-22 12:59 - hidden
- Project changed from Public Support to 7

- Status changed from New to In Progress

- Customer set to ELEKTROBIT

- Department set to SUPPORT

#3 - 2017-11-24 09:27 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Anja,

ich verstehe die Frage nicht...

In #1206 habt ihr beschrieben, dass ihr mit der ADTF File Library CAN, FR und Video Daten (aufgenommen in ADTF 2.x) einlesen wollt und dabei

einen Fehler erhaltet.

Das ist korrekt, da sowohl in ADTF 3.x als auch der ADTF File Library (Darauf setzt ja ADTF 3.x auf) die Serialisierung bisher noch fehlt.

Das kommt mit den nächsten Releases der Toolboxen (CAN, FR in Device TB 3.x, XCP für Calibration TB, Video_Compressed entfällt da es keine

Compression TB 3.x gibt), damit ist die Serialisierung der "alten" Daten in ADTF 3.x vorhanden, Support Services der Toolbox.

Entsprechend kommt mit der nächsten ADTF File Library der Plugin Support für diese Services, somit ist es auch hier interpretierbar.

Was habt ihr nun für ein Problem in ADTF 2.x ?

ADTF 2.x Dateien können mit den entsprechenden Toolboxen in ADTF 2.x geladen werden.

Ebenso in der Streaming Lib und dessen Plugin Mechanismus.

Was ist nun dein neuer Use Case wo es nicht geht ?

#4 - 2017-11-24 09:27 - hidden

- Description updated

#5 - 2017-11-27 17:00 - hidden

Hallo Florian,

wir dachten das die ADTF File library ja ADTF 2 und 3 Files lesen können soll und das sie die Streaming Lib ersetzt. Da wir jetzt ein ADTF

unabhängiges Tool (die ADTF File lib) brauchten, dachten wir die ADTF File lib nehmen zu können. Da diese ADTF 2 und 3 Files lesen kann.

Soll die ADTF File lib nicht die Streaming lib ersetzen?

Danke und Grüße,

Anja

Best regards,

Anja Winkler

EB Assist ADTF Support-Team

#6 - 2017-11-29 10:12 - hidden

- Topic set to FileLibrary::Common

Hallo Anja,

ja, das soll mit der File Library möglich sein.

Damit kannst du sowohl ADTF 2.x *.dat als auch ADTF 3.x *.adtfdat Files lesen und schreiben.

Die File Library löst damit die Streaming Lib ab bzw. erweitert diese um ADTF 3.x *adtfdat Files.

Wie ich ich aber versucht habe zu erklären, gehen aktuell nur die Basic Types, die Datentypen aus den Toolboxen müssen noch bereitgestellt

werden, ebenso der Plugin Mechanismus.

Deshalb geht das aktuell noch nicht in vollen Umfang.

Siehe dieses als auch das alte Ticket.

Wenn ihr heute für ADTF 2.x eine Lösung braucht, dann müsst ihr die Streaming Lib nehmen.

Oder reden wir aneinander vorbei ?

#7 - 2017-11-30 13:00 - hidden

Hallo Florian,

Danke für deine Antwort. Ich hoffe wir reden nicht aneinander vorbei. Eine Frage muss ich dazu trotzdem noch stellen.
Für ADTF 3.x files soll es das Update ja in Quartal 4 2017 geben. Sind da die Datentypen der anderen Toolboxen für ADTF 2.x files auch mit dabei?

Wenn nicht weißt du schon wann das kommt? Im Moment geht es bei uns um die weitere Planung des Projektes.

Danke und Grüße,

Anja

#8 - 2017-11-30 13:18 - hidden

Hi Anja,

ich versuche nochmal zusammezufassen:

Die ADTF 3.x Datentypen sind schon bereitgestellt in den Toolboxen (CAN & FR), deshalb können sie in ADTF 3.x interpretiert werden.

Die Display TB hat keine eigenen Typen, die Calibration TB 3.x wird dies auch bereitstellen.

Um in ADTF 3.x und ADTF File Library die Daten aus ADTF 2.x zu interpretieren, fehlen noch die entsprechenden Services, diese sollen mit den

nächsten TBs kommen.

Dann können sie in ADTF 3.x interpretiert werden.

Zusätzlich muss die ADTF File Library in der nächsten Version einen Plugin Mechanismus unterstützen, um diese Services zu laden, sowohl ADTF

2.x also ADTF 3.x Datentypen.

Auch das kommt in der nächsten Lieferung.

All das ist für 2017b geplant

Wichtig dabei:

Es wird keinen Support in ADTF 3.x für die ADTF 2.x compressed Daten geben, die Compression TB ist Geschichte.

Das bedeutet, dass hier genauso wie für eigene Typen eine (De)Serialisierung selbst geschrieben werden muss, mit gleichen Mechanismus oder

direkt in seiner ADTF File Library, auf der auch ab der nächsten Minor-Lieferung Player und Recorder aufsetzen und mit ADTF mitgeliefert wird.

Beantwortet das deine Frage ?

#9 - 2017-12-01 17:15 - hidden

Hallo Florian,

Wir schweifen immer zu dem Support von ADTF 3.x ab. Aber fürs erste reicht mir deine Aussage. Wir schauen dann mal in die nächste Lieferung.

Danke und Grüße,

Anja

#10 - 2017-12-01 17:20 - hidden

Mir ist das schon wichtig, dass wir hier einen Konsens finden, denn das ist imho wichtig!

Das Thema lässt sich nicht ohne ADTF 3.x erklären, das ist was ich dir versuche zu erklären.

Die File Lib ist die Code Grundlage für ADTF 3.x und kann auch ADTF 2.x Files schreiben/lesen (sofern sie die Typen kennt, Stichwort

Plugin-Mechanismus, Support Service).

Den Code Zeilen ist es egal, ob die Dateien von oder für ADTF 2.x/ADTF3.x oder die File Lib erzeugt werden, sie sollen einfach universell gelten, was

in den aktuellen Lieferungen noch nicht der Fall ist.

Deshalb bin ich noch nicht ganz bei dir, was das Problem in ADTF 2.x sein soll.

Können wir dazu telefonieren ?

Ruf mich doch bitte an:

0174-6564608

#11 - 2017-12-04 16:45 - hidden

Hallo Florian,

wir haben es verstanden und warten die nächsten Lieferungen ab. Ich habe auch noch mal mir Fabian gesprochen ob er auch noch was dazu wissen

will und ein Telefonat ist nicht mehr notwendig.

Wenn von deiner Seite noch etwas ist, würde ich Fabian ins Telefonat dazu holen. Deshalb ist spontan auch schwierig.

Viele Grüße,

Anja

EB Assist ADTF Support-Team

#12 - 2017-12-05 11:26 - hidden
- Subject changed from ADTFS-47738 Unterstützung von CAN Flexray in ADTF 2 dats mit der file library to ADTFS-47738 Support for CAN and

Flexray types in ADTF 2 *.dat files with ADTF File Library

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

- Affected Products ADTF File Library 0.1.0 (BETA) added

- Platform Windows 7 64bit added

Kann geschlossen werden

#13 - 2017-12-05 11:26 - hidden

- Status changed from To Be Closed to Closed

#14 - 2018-01-25 12:01 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No
